Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572173 - TLS everywhere Deployment - Openstack commands fail with ERROR (DiscoveryFailure): Could not determine a suitable URL for the plugin
Summary: TLS everywhere Deployment - Openstack commands fail with ERROR (DiscoveryFail...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 10:28 UTC by Itzik Brown
Modified: 2018-05-28 13:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 05:14:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Itzik Brown 2018-04-26 10:28:33 UTC
Description of problem:
After deployment with TLS any command fail
For example:
(overcloud) [stack@undercloud-0 ~]$ openstack server list
Failed to discover available identity versions when contacting https://overcloud.redhat.local:13000//v3. Attempting to parse version from URL.
Could not determine a suitable URL for the plugin


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-8.0.2-0.20180416194362.29a5ad5.el7ost.noarch

How reproducible:


Steps to Reproduce:
1. Deploy with TLS everywhere
2. Run source overcloudrc && openstack server list
3.

Actual results:


Expected results:


Additional info:
When adding entries to /etc/hosts there are no failures.
For example:
10.0.0.104 overcloud.redhat.local
192.168.24.10 overcloud.ctlplane.redhat.local

Comment 3 Itzik Brown 2018-05-15 06:06:23 UTC
Now it seems that there are duplicate entries of
overcloud.ctlplane.redhat.local

When removing one entry - there is no problem

Comment 5 Itzik Brown 2018-05-22 05:14:25 UTC
Checked with:
openstack-tripleo-heat-templates-8.0.2-22.el7ost.noarch

There are still duplicate entries in /etc/hosts but it seems to work anyway.


Note You need to log in before you can comment on or make changes to this bug.